ELOptionTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.html
Class ELOptionTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.OptionTag
                  org.apache.strutsel.taglib.html.ELOptionTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

    public class ELOptionTag

extends OptionTag

Tag for select options. The body of this tag is presented to the user in the option list, while the value attribute is the value returned to the server if this option is selected.

This class is a subclass of the class `org.apache.struts.taglib.html.OptionTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 479635 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.OptionTag
`bundle, disabled, filter, key, locale, messages, styleId, text, value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELOptionTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getBundleExpr()` Getter method for "bundle" tag attribute.
`String` | `getDirExpr()` Getter method for "dir" tag attribute.
`String` | `getDisabledExpr()` Getter method for "disabled" tag attribute.
`String` | `getFilterExpr()` Getter method for "filter" tag attribute.
`String` | `getKeyExpr()` Getter method for "key" tag attribute.
`String` | `getLangExpr()` Getter method for "lang" tag attribute.
`String` | `getLocaleExpr()` Getter method for "locale" tag attribute.
`String` | `getStyleClassExpr()` Getter method for "styleClass" tag attribute.
`String` | `getStyleExpr()` Getter method for "style" tag attribute.
`String` | `getStyleIdExpr()` Getter method for "styleId" tag attribute.
`String` | `getValueExpr()` Getter method for "value" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setBundleExpr(String bundleExpr)` Setter method for "bundle" tag attribute.
`void` | `setDirExpr(String dirExpr)` Setter method for "dir" tag attribute.
`void` | `setDisabledExpr(String disabledExpr)` Setter method for "disabled" tag attribute.
`void` | `setFilterExpr(String filterExpr)` Setter method for "filter" tag attribute.
`void` | `setKeyExpr(String keyExpr)` Setter method for "key" tag attribute.
`void` | `setLangExpr(String langExpr)` Setter method for "lang" tag attribute.
`void` | `setLocaleExpr(String localeExpr)` Setter method for "locale" tag attribute.
`void` | `setStyleClassExpr(String styleClassExpr)` Setter method for "styleClass" tag attribute.
`void` | `setStyleExpr(String styleExpr)` Setter method for "style" tag attribute.
`void` | `setStyleIdExpr(String styleIdExpr)` Setter method for "styleId" tag attribute.
`void` | `setValueExpr(String valueExpr)` Setter method for "value" tag attribute.

Methods inherited from class org.apache.struts.taglib.html.OptionTag
`doAfterBody, doEndTag, getBundle, getDir, getDisabled, getFilter, getKey, getLang, getLocale, getStyle, getStyleClass, getStyleId, getValue, renderOptionElement, setBundle, setDir, setDisabled, setFilter, setKey, setLang, setLocale, setStyle, setStyleClass, setStyleId, setValue, text`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ELOptionTag

    public ELOptionTag()

Method Detail

### getBundleExpr

    public String getBundleExpr()

  Getter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### getDirExpr

    public String getDirExpr()

  Getter method for "dir" tag attribute. (Mapping set in associated BeanInfo class.)

### getDisabledExpr

    public String getDisabledExpr()

  Getter method for "disabled" tag attribute. (Mapping set in associated BeanInfo class.)

### getFilterExpr

    public String getFilterExpr()

  Getter method for "filter" tag attribute. (Mapping set in associated BeanInfo class.)

### getLangExpr

    public String getLangExpr()

  Getter method for "lang" tag attribute. (Mapping set in associated BeanInfo class.)

### getKeyExpr

    public String getKeyExpr()

  Getter method for "key" tag attribute. (Mapping set in associated BeanInfo class.)

### getLocaleExpr

    public String getLocaleExpr()

  Getter method for "locale" tag attribute. (Mapping set in associated BeanInfo class.)

### getStyleExpr

    public String getStyleExpr()

  Getter method for "style" tag attribute. (Mapping set in associated BeanInfo class.)

### getStyleClassExpr

    public String getStyleClassExpr()

  Getter method for "styleClass" tag attribute. (Mapping set in associated BeanInfo class.)

### getStyleIdExpr

    public String getStyleIdExpr()

  Getter method for "styleId" tag attribute. (Mapping set in associated BeanInfo class.)

### getValueExpr

    public String getValueExpr()

  Getter method for "value" tag attribute. (Mapping set in associated BeanInfo class.)

### setBundleExpr

    public void setBundleExpr(String bundleExpr)

  Setter method for "bundle" tag attribute. (Mapping set in associated BeanInfo class.)

### setDirExpr

    public void setDirExpr(String dirExpr)

  Setter method for "dir" tag attribute. (Mapping set in associated BeanInfo class.)

### setDisabledExpr

    public void setDisabledExpr(String disabledExpr)

  Setter method for "disabled" tag attribute. (Mapping set in associated BeanInfo class.)

### setFilterExpr

    public void setFilterExpr(String filterExpr)

  Setter method for "filter" tag attribute. (Mapping set in associated BeanInfo class.)

### setKeyExpr

    public void setKeyExpr(String keyExpr)

  Setter method for "key" tag attribute. (Mapping set in associated BeanInfo class.)

### setLangExpr

    public void setLangExpr(String langExpr)

  Setter method for "lang" tag attribute. (Mapping set in associated BeanInfo class.)

### setLocaleExpr

    public void setLocaleExpr(String localeExpr)

  Setter method for "locale" tag attribute. (Mapping set in associated BeanInfo class.)

### setStyleExpr

    public void setStyleExpr(String styleExpr)

  Setter method for "style" tag attribute. (Mapping set in associated BeanInfo class.)

### setStyleClassExpr

    public void setStyleClassExpr(String styleClassExpr)

  Setter method for "styleClass" tag attribute. (Mapping set in associated BeanInfo class.)

### setStyleIdExpr

    public void setStyleIdExpr(String styleIdExpr)

  Setter method for "styleId" tag attribute. (Mapping set in associated BeanInfo class.)

### setValueExpr

    public void setValueExpr(String valueExpr)

  Setter method for "value" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `OptionTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `OptionTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.